ALTER TABLE ACCESS_DATA
ADD AUTO_DATE_CALCULATION VARCHAR2(1 CHAR);

DROP VIEW V_ACCESS_DATA;

CREATE OR REPLACE VIEW V_ACCESS_DATA AS (
  SELECT AD.ID_ACCESS_DATA, AD.NCARD, AD.ID_ACCESS_GROUP, AD.DATE_FROM, AD.DATE_TO, AD.NOTE, AD.ACTIVE, AD.DATE_CREATED, AD.USER_CREATED, AD.DATE_CHANGED, AD.USER_CHANGED, AD.NNLOCATION_ID,
  KU.ID AS KUPCI_ID, KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, NC.SERIALNUMBER AS CARD_NUMBER, NC.NCARD_TYPE AS CARD_TYPE, NT.OPIS AS CARD_TYPE_OPIS, AG.CODE AS ACCESS_GROUP_CODE, AG.DESCRIPTION AS ACCESS_GROUP_DESCRIPTION,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER
  FROM ACCESS_DATA AD
  LEFT OUTER JOIN ACCESS_GROUP AG ON AG.ID_ACCESS_GROUP = AD.ID_ACCESS_GROUP
  LEFT OUTER JOIN NCARD NC ON NC.NCARD = AD.NCARD
  LEFT OUTER JOIN NCARD_TYPE NT ON NT.ID = NC.NCARD_TYPE
  LEFT OUTER JOIN KUPCI KU ON KU.ID = NC.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1614, SYSDATE, '5.5', 1534, 'Access data')
;