﻿CREATE OR REPLACE VIEW V_M_DE_NA AS (
  SELECT M.ID_DN, M.ID_LASTNIKA, M.ID_PLOVILA, M.ID_RACUNA, M.ID_PREDRACUN, M.ID_REZERVACIJE, M.ID_POGODBE, M.STEVILKA, M.STATUS, M.USER_KREIRANJA, M.USER_SPREMEMBE, M.CONFIRMED, M.DATUM_DN, M.TERMIN_DO, M.SKUPAJ, M.SKUPAJ_VAL, 
  N.OPIS AS NNSTATDN_OPIS, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, CONCAT(CONCAT(NVL(K.PRIIMEK, ''), ' '), NVL(K.IME, '')) AS KUPCI_PRIIMEK_IME, K.VALUTA_PLACILA AS KUPCI_VALUTA_PLACILA, P.IME AS PLOVILA_IME, M.LASTNIK_OBVESCEN
  FROM M_DE_NA M
  LEFT OUTER JOIN NNSTATDN N ON N.SIFRA = M.STATUS
  LEFT OUTER JOIN KUPCI K ON K.ID = M.ID_LASTNIKA
  LEFT OUTER JOIN PLOVILA P ON P.ID = M.ID_PLOVILA
);

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(361, SYSDATE, '5.5', 281, 'Popravek M_DE_NA s stolpcem LASTNIK_OBVESCEN');