CREATE OR REPLACE VIEW V_DOGODKI AS (
	SELECT D.ID, D.ID_LASTNIKA, D.ID_PLOVILA, D.DATUM_ZACETKA, D.KATEGORIJA_DOGODKA, D.OBJEKT, D.N_PRIVEZA, D.STORITEV, D.N_POGODBE, D.PREDVIDENI_DATUM_KONCA, D.DATUM_KONCA,
  D.DATUM_KREIRANJA, D.USER_KREIRANJA, D.DATUM_SPREMEMBE, D.USER_SPREMEMBE, D.ID_RFID_DATA, D.DAILY, ND.OPIS AS NDOGODEK_OPIS, ND.INTERNI_OPIS AS NDOGODEK_INTERNI_OPIS,
  K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, P.IME AS PLOVILA_IME
	FROM DOGODKI D
  LEFT OUTER JOIN NDOGODEK ND ON ND.NDOGODEK = D.KATEGORIJA_DOGODKA
  LEFT OUTER JOIN KUPCI K ON K.ID = D.ID_LASTNIKA
  LEFT OUTER JOIN PLOVILA P ON P.ID = D.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (684, SYSDATE, '5.5', 604, 'VDogodki');