ALTER TABLE ACTIVITIES_MAIL
ADD SUBSCRIBE VARCHAR2(1 CHAR);

CREATE OR REPLACE VIEW V_ACTIVITIES_MAIL AS (
	SELECT AM.ID AS ID_ACTIVITIES_MAIL, AM.ID_KUPCA, AM.SIFRA_AKTIVNOSTI, AM.AKT, AM.VRSTA_CORR, AM.ID_KUPCI_CORRESPONDENCE, AM.PREFERRED, AM.SUBSCRIBE,
    K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, NA.OPIS AS NNACTIVITIES_OPIS, NA.INTERNI_OPIS AS NNACTIVITIES_INTERNI_OPIS, NA.AKT AS NNACTIVITIES_AKT, 
    NV.OPIS AS NNVRSCORR_OPIS, NV.INTERNI_OPIS AS NNVRSCORR_INTERNI_OPIS,
    KC.VRSTA_CORR AS KUPCI_CORR_VRSTA_CORR, KC.NASLOV AS KUPCI_CORR_NASLOV, KC.POSTA AS KUPCI_CORR_POSTA, KC.KRAJ AS KUPCI_CORR_KRAJ, KC.NDRZAVA AS KUPCI_CORR_NDRZAVA 
	FROM ACTIVITIES_MAIL AM
 	LEFT OUTER JOIN KUPCI K ON K.ID = AM.ID_KUPCA
  LEFT OUTER JOIN NNACTIVITIES NA ON NA.SIFRA = AM.SIFRA_AKTIVNOSTI
  LEFT OUTER JOIN NNVRSCORR NV ON NV.SIFRA = AM.VRSTA_CORR
  LEFT OUTER JOIN KUPCI_CORRESPONDENCE KC ON KC.ID = AM.ID_KUPCI_CORRESPONDENCE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (965, SYSDATE, '5.5', 885, 'Mailing subscribe');