CREATE TABLE TRANSPONDER_LOG
  (
    ID NUMBER(38,0),
    URA DATE,
    PROGRAM       VARCHAR2(20 CHAR),
    UPORABNIK     VARCHAR2(30 CHAR),
    SERIALNUMBER1 NUMBER(38,0),
    VELJA_OD DATE,
    VELJA_DO DATE,
    NCARDVRS VARCHAR2(5 CHAR),
    NCARDSTS VARCHAR2(5 CHAR),
    STEVILO_ZETONOV FLOAT(126),
    ID_PLOVILA  NUMBER(38,0),
    ID_LASTNIKA NUMBER(38,0),
    IME_PRIIMEK VARCHAR2(50 CHAR),
    ELEKTRIKA FLOAT(126),
    VODA FLOAT(126),
    AKTIVACIJA FLOAT(126),
    COUNTER1         VARCHAR2(3),
    FLAG             VARCHAR2(1),
    SERIALNUMBER     VARCHAR2(8),
    CREDITAVAILABLE  VARCHAR2(10),
    ACTIVATIONCREDIT VARCHAR2(6),
    WATERCOST        VARCHAR2(6),
    KWHCOST          VARCHAR2(6),
    LANGUAGE         VARCHAR2(1),
    TIMEOUT          VARCHAR2(1),
    SOCKETN          VARCHAR2(1),
    BOLLARD          VARCHAR2(5),
    EXPIRYDATE       VARCHAR2(8),
    IDSTORITVE       VARCHAR2(10)
  );

ALTER TABLE TRANSPONDER_LOG MODIFY PROGRAM VARCHAR2(20 CHAR);
ALTER TABLE TRANSPONDER_LOG MODIFY UPORABNIK VARCHAR2(30 CHAR);
ALTER TABLE TRANSPONDER_LOG MODIFY NCARDVRS VARCHAR2(5 CHAR);
ALTER TABLE TRANSPONDER_LOG MODIFY NCARDSTS VARCHAR2(5 CHAR);
ALTER TABLE TRANSPONDER_LOG MODIFY IME_PRIIMEK VARCHAR2(50 CHAR);


ALTER TABLE NNTIPP ADD INTERNI_OPIS VARCHAR2(40 CHAR);
ALTER TABLE NNDELAVC ADD INTERNI_OPIS VARCHAR2(55 CHAR);
ALTER TABLE NNDOKUME ADD INTERNI_OPIS VARCHAR2(40 CHAR);
ALTER TABLE NNDOKUME MODIFY INTERNI_OPIS VARCHAR2(40 CHAR);
ALTER TABLE M_NNKATEG ADD INTERNI_OPIS VARCHAR2(50 CHAR);

UPDATE NNDODATKI SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNPC  SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNTIP_MOTORJA SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNENOTA_MOCI SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNTIPP SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNPROIZVAJALEC SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNKONS_MAT SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNPODSTAVEK SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE TIPSERVIS SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNDELAVC SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNDVIGAL SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE OPISERVIS SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNSTOFILTER SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNSTATDN SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNSTATPOG SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NTECAJ SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNAMENPOPUST SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNMODEL SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNLEZISCA SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNENOTE SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNOBJEKT SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNDOKUME SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE M_NNSTOMAR SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE NNVRSKUP SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;
UPDATE M_NNKATEG SET INTERNI_OPIS=OPIS WHERE INTERNI_OPIS IS NULL;

ALTER TABLE TRANSPONDER_LOG ADD PRIMARY KEY (ID);

ALTER TABLE TRANSPONDER_LOG ADD IDSTORITVE VARCHAR2(10 CHAR);

CREATE INDEX IX_TRANSPONDER_LOG1 ON TRANSPONDER_LOG (IDSTORITVE);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (236, SYSDATE, '5.5', 156, 'Dvojezinost ifranti');