CREATE INDEX IX_S_ARTIKLI1 ON S_ARTIKLI (BAR_KODA);

CREATE INDEX IX_S_ARTIKLI2 ON S_ARTIKLI (NAZIV);

CREATE INDEX IX_S_ARTIKLI3 ON S_ARTIKLI (NAZIV1);

UPDATE REZERVAC
SET VRSTA='RE'
WHERE VRSTA IS NULL;

UPDATE REZERVAC
SET STATUS_REZERVAC=4
WHERE STATUS_REZERVAC IS NULL;

UPDATE REZERVAC 
SET ID_PRIVEZ=(SELECT ID_PRIVEZ FROM NNPRIVEZ WHERE NNPRIVEZ.OBJEKT=REZERVAC.NOBJEKT AND NNPRIVEZ.N_PRIVEZA=REZERVAC.PRIVEZ)
WHERE ID_PRIVEZ IS NULL;

INSERT INTO REZERVAC_DETAIL (ID_REZERVAC_DETAIL, ID_REZERVAC, ID_PRIVEZ, DATUM_OD, DATUM_DO, USER_KREIRANJA, DATUM_KREIRANJA)
SELECT REZERVAC_DETAIL_SEQ.NEXTVAL, ID, ID_PRIVEZ, DATUM_REZERVACIJE, DATUM_DO, USER_KREIRANJA, DATUM_KREIRANJA FROM REZERVAC 
WHERE ID_PRIVEZ IS NOT NULL AND DATUM_DO IS NOT NULL AND ID NOT IN (SELECT ID_REZERVAC FROM REZERVAC_DETAIL);

CREATE OR REPLACE VIEW V_REZERVAC AS (
SELECT R.ID, (CASE WHEN STATUS_REZERVAC=1 THEN 1 ELSE 0 END) AS PRISOTNO, D.DATUM_OD AS DATUM_REZERVACIJE, D.DATUM_DO, R.ID_LASTNIKA, 
R.ID_PLOVILA, COALESCE(R.ID_PRESPR, 0) AS ID_PRESPR, R.NAZIV, R.PLOVILO, NP.OBJEKT AS NOBJEKT, NP.N_PRIVEZA AS PRIVEZ, D.ID_PRIVEZ, 
R.DOLZINA, R.SIRINA, R.GREZ, '' AS NTIP, R.VRSTA
FROM REZERVAC R
JOIN REZERVAC_DETAIL D ON R.ID=D.ID_REZERVAC 
LEFT OUTER JOIN NNPRIVEZ NP ON D.ID_PRIVEZ=NP.ID_PRIVEZ 
WHERE R.STORNO IS NULL AND R.DATUM_DO IS NOT NULL
);


insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(363, SYSDATE, '5.5', 283, 'Rezervacije');